import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["className", "col", "colL", "colLg", "colMd", "colSm", "colXl", "colXs"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { PureComponent } from 'react';
import classNames from 'classnames';
import { colGrid, colGridL, colGridLg, colGridMd, colGridSm, colGridXl, colGridXs } from "./gridTemplate";
import styles from "./grid.module.scss";
/**
 * A responsive css-grid wrapper.
 * Use the `col` properties to set column count in each resolution.
 */
export class Grid extends PureComponent {
  render() {
    const _this$props = this.props,
      {
        className,
        col,
        colL,
        colLg,
        colMd,
        colSm,
        colXl,
        colXs
      } = _this$props,
      rest = _objectWithoutProperties(_this$props, _excluded);
    const classes = [className, styles.gridContainer];
    if (col !== undefined) classes.push(colGrid[col]);
    if (colL !== undefined) classes.push(colGridL[colL]);
    if (colLg !== undefined) classes.push(colGridLg[colLg]);
    if (colMd !== undefined) classes.push(colGridMd[colMd]);
    if (colSm !== undefined) classes.push(colGridSm[colSm]);
    if (colXl !== undefined) classes.push(colGridXl[colXl]);
    if (colXs !== undefined) classes.push(colGridXs[colXs]);
    return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
      className: classNames(...classes)
    }));
  }
}