import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["headings", "colNumber", "isListView", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import classNames from 'classnames';
import { Grid } from "../grid";
import { HeadingColumn } from "./tableHeadingColumn";
import styles from "./tableHeadingRow.module.scss";
export function HeadingRow(_ref) {
  let {
      headings,
      colNumber,
      isListView = false,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(Grid, _extends({}, rest, {
    col: colNumber,
    className: classNames(styles.titleRow, {
      [styles.hide]: isListView
    }, className)
  }), headings.map((title, index) => {
    return title === 'required' ? null : /*#__PURE__*/React.createElement(HeadingColumn, {
      key: index,
      className: styles.titleCol
    }, title);
  }));
}