import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["row", "colNumber", "headings", "className"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import classNames from 'classnames';
import { Grid } from "../grid";
import { TableColumn } from "./tableColumn";
import { CodeHighlighter } from "../../baseUI/highlighter";
import styles from "./tableRow.module.scss";
/**
 *
 * Renders a row in the table according to the order of the headings.
 */
export function TableRow(_ref) {
  let {
      row,
      colNumber = 4,
      headings,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement(Grid, _extends({
    col: colNumber,
    className: classNames(styles.propRow, className)
  }, rest), headings.map((title, index) => {
    if (title === 'name') {
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: styles.breakWord,
        key: index
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.columnContent
      }, /*#__PURE__*/React.createElement("div", {
        className: styles.name
      }, row[title]), row.required && /*#__PURE__*/React.createElement("div", {
        className: styles.required
      }, "(Required)"), row.version && /*#__PURE__*/React.createElement("div", {
        className: styles.version
      }, row.version)));
    }
    if (title === 'type' || title === 'default') {
      return /*#__PURE__*/React.createElement(TableColumn, {
        className: classNames(styles.breakWord, styles.typeColumn),
        key: index
      }, /*#__PURE__*/React.createElement(CodeHighlighter, {
        language: "typescript",
        className: styles.highlighted
      }, row[title] || '-'));
    }

    // default
    return /*#__PURE__*/React.createElement(TableColumn, {
      className: styles.breakWord,
      key: index
    }, row[title]);
  }));
}