import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children", "depth"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo } from 'react';
import { extractChildrenText, textToHTMLId } from "./utils";
export function Heading(_ref) {
  let {
      children,
      depth
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  const id = useMemo(() => {
    const text = extractChildrenText(children);
    return textToHTMLId(text);
  }, [children]);
  const attributes = _objectSpread(_objectSpread({}, rest), {}, {
    id
  });
  switch (depth) {
    case 1:
      return /*#__PURE__*/React.createElement("h1", attributes, children);
    case 2:
      return /*#__PURE__*/React.createElement("h2", attributes, children);
    case 3:
      return /*#__PURE__*/React.createElement("h3", attributes, children);
    case 4:
      return /*#__PURE__*/React.createElement("h4", attributes, children);
    case 5:
      return /*#__PURE__*/React.createElement("h5", attributes, children);
    default:
      return /*#__PURE__*/React.createElement("h6", attributes, children);
  }
}