import _extends from "@babel/runtime/helpers/extends";
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { Anchor } from "./anchor";
import { Snippet } from "./snippet";
import { DemoView } from "./demoView";
import { DocAnchor } from "./docAnchor";
import { Heading } from "./heading";
export const COMPONENT_NAME_DEMO_VIEW = 'ArcoDemoView';
export const COMPONENT_NAME_DOC_ANCHOR = 'ArcoDocAnchor';
export const DEFAULT_MDX_COMPONENTS = {
  a: Anchor,
  code: Snippet,
  h1: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 1
  })),
  h2: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 2
  })),
  h3: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 3
  })),
  h4: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 4
  })),
  h5: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 5
  })),
  h6: props => /*#__PURE__*/React.createElement(Heading, _extends({}, props, {
    depth: 6
  })),
  [COMPONENT_NAME_DEMO_VIEW]: DemoView,
  [COMPONENT_NAME_DOC_ANCHOR]: DocAnchor
};