import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["children", "components", "className"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useMemo } from 'react';
import { MDXProvider } from '@mdx-js/react';
import classNames from 'classnames';
import { DEFAULT_MDX_COMPONENTS } from "../components";

// use markdown-limit.css, not markdown.css
import "../style/markdown-limit.css";
import styles from "./mdxLayout.module.scss";
const MARKDOWN_BODY_CLASSNAME = 'markdown-body';
/** Arco flavored MDX theme */
export function MDXLayout(_ref) {
  let {
      children,
      components,
      className
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  const _components = useMemo(() => {
    // add classname 'markdown-element' to these markdown elements
    // then we can apply css styles to them
    const tagNames = ['a', 'abbr', 'b', 'button', 'code', 'dfn', 'em', 'figure', 'hr', 'img', 'input', 'kbd', 'li', 'mark', 'ol', 'p', 'samp', 'small', 'span', 'strong', 'sub', 'summary', 'sup', 'table', 'td', 'th', 'tr', 'ul'];
    const interExtendedComponents = {};
    tagNames.forEach(tag => {
      if (typeof tag === 'string') {
        interExtendedComponents[tag] = props => {
          return /*#__PURE__*/React.createElement(tag, _objectSpread(_objectSpread({}, props), {}, {
            className: classNames(props.className, 'a-md-element')
          }));
        };
      }
    });
    return _objectSpread(_objectSpread(_objectSpread({}, interExtendedComponents), DEFAULT_MDX_COMPONENTS), components);
  }, [DEFAULT_MDX_COMPONENTS, components]);
  return /*#__PURE__*/React.createElement(MDXProvider, {
    components: _components
  }, /*#__PURE__*/React.createElement("div", _extends({
    className: classNames(MARKDOWN_BODY_CLASSNAME, styles.mdxContent, className)
  }, rest), children));
}