// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { Button } from '@arco-design/web-react';
import { SlotRouter } from '@arco-cli/aspect/dist/react-router/uiRuntime';
import cn from 'classnames';
import { BASE_DOCS_DOMAIN } from "../constants";
import Logo from "./asset/arco-material-logo.svg";
import styles from "./navbar.module.scss";
/**
 * Top bar with corner and contextual menu.
 */
export function Navbar({
  menu = [],
  className,
  title
}) {
  return /*#__PURE__*/React.createElement("div", {
    className: cn(styles.navbar, className)
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    className: styles.title
  }, /*#__PURE__*/React.createElement(Logo, {
    className: styles.logo
  }), /*#__PURE__*/React.createElement("span", {
    className: styles.text
  }, title)), /*#__PURE__*/React.createElement(SlotRouter, {
    routes: menu
  })), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    target: "_blank",
    href: `https://${BASE_DOCS_DOMAIN}`
  }, "Get Started"));
}