import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
const _excluded = ["code", "title", "style", "children"];
// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import Image404 from "./assets/404.svg";
import styles from "./style/errorPage.module.scss";
/**
 * A component that shows an error page according to the error code
 */
export function ErrorPage(_ref) {
  let {
      code,
      title,
      style,
      children
    } = _ref,
    rest = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React.createElement("div", _extends({}, rest, {
    className: styles.errorPage,
    style: style
  }), code === 404 ? /*#__PURE__*/React.createElement(Image404, null) : null, /*#__PURE__*/React.createElement("h1", {
    className: styles.title
  }, title), children);
}