// eslint-disable-next-line import/no-extraneous-dependencies
import React from 'react';
import { MDXLayout } from "../markdown/mdxLayout";
import { Theme } from "./theme";
import { Content as DocContent } from "./doc/content";
import { PropertiesTable } from "./doc/propertiesTable";
import { DocAnchorContextProvider } from "../markdown/components/docAnchor";
import { PreviewContextProvider } from "./previewContext";
import "../style/colors.scss";
import "./app.scss";
export function App({
  doc,
  metadata
}) {
  return /*#__PURE__*/React.createElement(PreviewContextProvider, null, /*#__PURE__*/React.createElement(Theme, null, /*#__PURE__*/React.createElement(DocAnchorContextProvider, null, /*#__PURE__*/React.createElement(MDXLayout, null, /*#__PURE__*/React.createElement(DocContent, {
    doc: doc
  }), /*#__PURE__*/React.createElement(PropertiesTable, {
    doclet: metadata
  })))));
}