import _defineProperty from "@babel/runtime/helpers/defineProperty";
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
// eslint-disable-next-line import/no-extraneous-dependencies
import React, { useContext, useEffect, useMemo } from 'react';
import { Table } from "../../baseUI/table";
import { DocAnchorContext } from "../../markdown/components/docAnchor";
import { CodeSnippet } from "../../markdown/components/snippet/codeSnippet";
import styles from "./propertiesTable.module.scss";

// Type from @arco-cli/react/dist/tsdoc/types

export function PropertiesTable({
  doclet
}) {
  const {
    updateAnchorList
  } = useContext(DocAnchorContext);
  const anchorList = useMemo(() => {
    const list = [];
    if (doclet !== null && doclet !== void 0 && doclet.length) {
      const apiTitleText = 'API';
      list.push({
        text: apiTitleText,
        depth: 1,
        content: /*#__PURE__*/React.createElement("h1", {
          id: apiTitleText,
          key: apiTitleText
        }, apiTitleText)
      });
      list.push(...doclet.map(({
        name,
        type,
        properties
      }, index) => ({
        text: name,
        depth: 2,
        content: /*#__PURE__*/React.createElement("div", {
          key: index,
          className: styles.table
        }, /*#__PURE__*/React.createElement("h2", {
          id: name,
          className: styles.tableTitle
        }, name), type ? /*#__PURE__*/React.createElement(CodeSnippet, {
          children: type
        }) : null, properties.length ? /*#__PURE__*/React.createElement(Table, {
          headings: ['name', 'type', 'default', 'description'],
          rows: properties.map(p => _objectSpread(_objectSpread({}, p), {}, {
            default: p.defaultValue
          }))
        }) : null)
      })));
    }
    return list;
  }, [doclet]);
  useEffect(() => {
    updateAnchorList(anchorList.map(({
      text,
      depth
    }) => ({
      text,
      depth
    })));
  }, [doclet]);
  return anchorList.length ? /*#__PURE__*/React.createElement("div", {
    className: styles.propertiesTable
  }, anchorList.map(({
    content
  }) => content)) : null;
}