// eslint-disable-next-line import/no-extraneous-dependencies
import React, { createContext, useEffect, useMemo, useRef } from 'react';
const GLOBAL_METHOD_MAP_KEY = '__arcoPreviewMethods';
export const PreviewContext = /*#__PURE__*/createContext({
  registerGlobalMethod: () => {}
});
export function PreviewContextProvider(props) {
  const {
    children
  } = props;
  const refGlobalMethodsMap = useRef({});
  useEffect(() => {
    window[GLOBAL_METHOD_MAP_KEY] = refGlobalMethodsMap.current;
  }, []);
  const previewContextValue = useMemo(() => {
    return {
      registerGlobalMethod: (name, fn) => {
        refGlobalMethodsMap.current[name] = fn;
      }
    };
  }, []);
  return /*#__PURE__*/React.createElement(PreviewContext.Provider, {
    value: previewContextValue
  }, children);
}