// eslint-disable-next-line import/no-extraneous-dependencies
import React, { createContext, useMemo } from 'react';
import { Spin } from '@arco-design/web-react';
import { LoaderContext, useLoaderApi } from "../globalLoader";
import "../style/global.scss";
import styles from "./workspaceContext.module.scss";
export const WorkspaceContext = /*#__PURE__*/createContext({
  name: '',
  components: [],
  overviewScrollContainerID: ''
});
export function WorkspaceContextProvider(props) {
  const {
    name,
    children,
    overviewScrollContainerID
  } = props;
  const [loaderApi, isLoading] = useLoaderApi();
  const workspaceContextValue = useMemo(() => {
    return {
      name,
      overviewScrollContainerID,
      components: props.components
    };
  }, [name, overviewScrollContainerID, JSON.stringify(props.components)]);
  return /*#__PURE__*/React.createElement(WorkspaceContext.Provider, {
    value: workspaceContextValue
  }, /*#__PURE__*/React.createElement(LoaderContext.Provider, {
    value: loaderApi
  }, /*#__PURE__*/React.createElement(Spin, {
    loading: isLoading,
    className: styles.loader
  }, children)));
}